## ros-humble-as2-behavior-tree 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME as2_behavior_tree)
project(${PROJECT_NAME} VERSION 0.2.2)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

# set Release as default
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# find dependencies
set(PROJECT_DEPENDENCIES
  ament_cmake
  ament_cmake_ros
  behaviortree_cpp_v3
  nav2_msgs
  rclcpp
  rclcpp_action
  as2_core
  as2_msgs
  std_srvs
  geometry_msgs
  sensor_msgs
)

foreach(DEPENDENCY ${PROJECT_DEPENDENCIES})
  find_package(${DEPENDENCY} REQUIRED)
endforeach()

include_directories(
  include
  include/${PROJECT_NAME}
)

set(PLUGINS_CPP_FILES
  plugins/action/takeoff_action.cpp
  plugins/action/arm_service.cpp
  plugins/action/offboard_service.cpp
  plugins/action/go_to_action.cpp
  plugins/action/land_action.cpp
  plugins/action/send_event.cpp
  plugins/action/echo.cpp
  plugins/action/set_origin.cpp
  plugins/action/get_origin.cpp
  plugins/action/gps_to_cartesian.cpp
  plugins/action/go_to_gps_action.cpp
  plugins/condition/is_flying_condition.cpp
  plugins/decorator/wait_for_event.cpp
  plugins/decorator/wait_for_alert.cpp
)

add_library(${PROJECT_NAME} ${PLUGINS_CPP_FILES})
target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(
  ${PROJECT_NAME}
  ${PROJECT_DEPENDENCIES}
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${PROJECT_DEPENDENCIES})

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

add_executable(${PROJECT_NAME}_main src/as2_behavior_tree_node.cpp)
target_include_directories(${PROJECT_NAME}_main
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}_main ${PROJECT_DEPENDENCIES})
target_link_libraries(${PROJECT_NAME}_main ${PROJECT_NAME})

# ## TEST ###
add_subdirectory(test)

# ###########

# ## NODE EMULATORS ###
add_subdirectory(test/node_emulators)

# #####################
install(DIRECTORY
  resource
  DESTINATION share/${PROJECT_NAME})

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}_main
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== test/CMakeLists.txt ===
### TEST ###
find_package(geometry_msgs REQUIRED)

add_executable(test_port port.cpp)
ament_target_dependencies(test_port ${PROJECT_DEPENDENCIES})


add_executable(test_port_pose port_pose.cpp)
ament_target_dependencies(test_port_pose ${PROJECT_DEPENDENCIES})
############

=== test/node_emulators/CMakeLists.txt ===
include_directories(
  include
  include/${PROJECT_NAME}
)

add_executable(platform_emulator src/platform_emulator.cpp)
target_include_directories(platform_emulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)
ament_target_dependencies(platform_emulator ${PROJECT_DEPENDENCIES})

add_executable(takeoff_emulator src/takeoff_emulator.cpp)
target_include_directories(takeoff_emulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)
ament_target_dependencies(takeoff_emulator ${PROJECT_DEPENDENCIES})

add_executable(land_emulator src/land_emulator.cpp)
target_include_directories(land_emulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)
ament_target_dependencies(land_emulator ${PROJECT_DEPENDENCIES})

add_executable(go_to_emulator src/go_to_emulator.cpp)
target_include_directories(go_to_emulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)
ament_target_dependencies(go_to_emulator ${PROJECT_DEPENDENCIES})

add_executable(follow_path_emulator src/follow_path_emulator.cpp)
target_include_directories(follow_path_emulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)
ament_target_dependencies(follow_path_emulator ${PROJECT_DEPENDENCIES})

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME})

install(TARGETS platform_emulator
  DESTINATION lib/${PROJECT_NAME})

install(TARGETS takeoff_emulator
  DESTINATION lib/${PROJECT_NAME})

install(TARGETS land_emulator
  DESTINATION lib/${PROJECT_NAME})

install(TARGETS go_to_emulator
  DESTINATION lib/${PROJECT_NAME})

install(TARGETS follow_path_emulator
DESTINATION lib/${PROJECT_NAME})

=== debian/changelog ===
ros-humble-as2-behavior-tree (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-behavior-tree (1.0.3-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-behavior-tree (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #292 <https://github.com/aerostack2/aerostack2/issues/292> from aerostack2/issue-289
    Delete install_bt_dependencies.bash
  * Delete install_bt_dependencies.bash
    Closes #289 <https://github.com/aerostack2/aerostack2/issues/289>
  * Merge pull request #235 <https://github.com/aerostack2/aerostack2/issues/235> from aerostack2/234-goto-bt-action-missing-frame
    [as2_behavior_tree] GoTo Bt action missing frame
  * adding short sleep after takeoff
  * adding earth frame
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-behavior-tree (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #198 <https://github.com/aerostack2/aerostack2/issues/198> from aerostack2/197-as2_core-change-behaviour-to-behavior
    197 as2 core change behaviour to behavior
  * Change behaviour to behavior
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-behavior-tree (1.0.0-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-behavior-tree (0.2.2-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 23:00:00 -0000

ros-humble-as2-behavior-tree (0.2.1-1jammy) jammy; urgency=high

  * Merge pull request #77 <https://github.com/aerostack2/aerostack2/issues/77> from aerostack2/76-as2_behavior_tree-wrong-target-link-libraries
    [as2_behavior_tree] Removed old linking lib
  * removed old linking lib
  * Merge pull request #39 <https://github.com/aerostack2/aerostack2/issues/39> from aerostack2/37-as2_behavior_trees-documentation
    [as2_behavior_trees] Documentation improved
  * added index, details dropbox and missing nodes
  * Merge pull request #33 <https://github.com/aerostack2/aerostack2/issues/33> from aerostack2/behavior_tree
    Update behavior tree
  * Update behavior tree
  * px4 extended and ci actions
  * user interfaces added
  * Contributors: Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, miferco97, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-behavior-tree
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-behaviortree-cpp-v3, ros-humble-geometry-msgs, ros-humble-nav2-behavior-tree, ros-humble-nav2-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-behavior-tree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-behaviortree-cpp-v3, ros-humble-geometry-msgs, ros-humble-nav2-behavior-tree, ros-humble-nav2-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: AS2 behavior trees

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-behavior-tree//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-as2-behavior-tree 1.0.9

=== debian/changelog ===
ros-humble-as2-behavior-tree (1.0.9-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.8-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.7-3bookworm) bookworm; urgency=high

  * [refactor] format tests according with ament_lint_common() packages
  * fix build warning
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.6-3bookworm) bookworm; urgency=high

  * Takeoff and GoTo behavior renaming
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.5-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.4-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.3-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.2-3bookworm) bookworm; urgency=high

  * Merge pull request #292 <https://github.com/aerostack2/aerostack2/issues/292> from aerostack2/issue-289
    Delete install_bt_dependencies.bash
  * Delete install_bt_dependencies.bash
    Closes #289 <https://github.com/aerostack2/aerostack2/issues/289>
  * Merge pull request #235 <https://github.com/aerostack2/aerostack2/issues/235> from aerostack2/234-goto-bt-action-missing-frame
    [as2_behavior_tree] GoTo Bt action missing frame
  * adding short sleep after takeoff
  * adding earth frame
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #198 <https://github.com/aerostack2/aerostack2/issues/198> from aerostack2/197-as2_core-change-behaviour-to-behavior
    197 as2 core change behaviour to behavior
  * Change behaviour to behavior
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (1.0.0-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-behavior-tree (0.2.2-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 16:00:00 -0000

ros-humble-as2-behavior-tree (0.2.1-3bookworm) bookworm; urgency=high

  * Merge pull request #77 <https://github.com/aerostack2/aerostack2/issues/77> from aerostack2/76-as2_behavior_tree-wrong-target-link-libraries
    [as2_behavior_tree] Removed old linking lib
  * removed old linking lib
  * Merge pull request #39 <https://github.com/aerostack2/aerostack2/issues/39> from aerostack2/37-as2_behavior_trees-documentation
    [as2_behavior_trees] Documentation improved
  * added index, details dropbox and missing nodes
  * Merge pull request #33 <https://github.com/aerostack2/aerostack2/issues/33> from aerostack2/behavior_tree
    Update behavior tree
  * Update behavior tree
  * px4 extended and ci actions
  * user interfaces added
  * Contributors: Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, miferco97, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-behavior-tree//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-behavior-tree//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-as2-behavior-tree//opt/ros/humble/opt/as2_behavior_tree/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
